diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/test/lr-wpan-ifs-test.cc ns-3.43/src/lr-wpan/test/lr-wpan-ifs-test.cc
--- ns-3.42/src/lr-wpan/test/lr-wpan-ifs-test.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/test/lr-wpan-ifs-test.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/test/lr-wpan-mac-test.cc ns-3.43/src/lr-wpan/test/lr-wpan-mac-test.cc
--- ns-3.42/src/lr-wpan/test/lr-wpan-mac-test.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/test/lr-wpan-mac-test.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Tokushima University, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
@@ -454,10 +443,13 @@
                                    params);
 
     // PAN coordinator N2 (PAN 7) is set to channel 14 in non-beacon mode but answer to beacon
-    // requests. The second coordinator includes a beacon payload of 25 bytes using the
+    // requests. The second coordinator includes a beacon payload of 2 bytes using the
     // MLME-SET.request primitive.
     Ptr<MacPibAttributes> pibAttribute = Create<MacPibAttributes>();
-    pibAttribute->macBeaconPayload = Create<Packet>(25);
+    std::vector<uint8_t> payload;
+    payload.emplace_back(1);
+    payload.emplace_back(2);
+    pibAttribute->macBeaconPayload = payload;
     coord2NetDevice->GetMac()->MlmeSetRequest(MacPibAttributeIdentifier::macBeaconPayload,
                                               pibAttribute);
 
@@ -519,8 +511,8 @@
                               " be less than Coordinator 1 (PAN 5).");
 
         NS_TEST_EXPECT_MSG_EQ(g_beaconPayloadSize,
-                              25,
-                              "Error, Beacon Payload not received or incorrect size (25 bytes)");
+                              2,
+                              "Error, Beacon Payload not received or incorrect size (2 bytes)");
     }
 
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/test/lr-wpan-packet-test.cc ns-3.43/src/lr-wpan/test/lr-wpan-packet-test.cc
--- ns-3.42/src/lr-wpan/test/lr-wpan-packet-test.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/test/lr-wpan-packet-test.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Tom Henderson <thomas.r.henderson@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc ns-3.43/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc
--- ns-3.42/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc ns-3.43/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc
--- ns-3.42/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc ns-3.43/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc
--- ns-3.42/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Tom Henderson <thomas.r.henderson@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-cc-helper.cc ns-3.43/src/lte/examples/lena-cc-helper.cc
--- ns-3.42/src/lte/examples/lena-cc-helper.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-cc-helper.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-cqi-threshold.cc ns-3.43/src/lte/examples/lena-cqi-threshold.cc
--- ns-3.42/src/lte/examples/lena-cqi-threshold.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-cqi-threshold.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-deactivate-bearer.cc ns-3.43/src/lte/examples/lena-deactivate-bearer.cc
--- ns-3.42/src/lte/examples/lena-deactivate-bearer.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-deactivate-bearer.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gaurav Sathe <gaurav.sathe@tcs.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-distributed-ffr.cc ns-3.43/src/lte/examples/lena-distributed-ffr.cc
--- ns-3.42/src/lte/examples/lena-distributed-ffr.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-distributed-ffr.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-dual-stripe.cc ns-3.43/src/lte/examples/lena-dual-stripe.cc
--- ns-3.42/src/lte/examples/lena-dual-stripe.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-dual-stripe.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-fading.cc ns-3.43/src/lte/examples/lena-fading.cc
--- ns-3.42/src/lte/examples/lena-fading.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-fading.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-frequency-reuse.cc ns-3.43/src/lte/examples/lena-frequency-reuse.cc
--- ns-3.42/src/lte/examples/lena-frequency-reuse.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-frequency-reuse.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-intercell-interference.cc ns-3.43/src/lte/examples/lena-intercell-interference.cc
--- ns-3.42/src/lte/examples/lena-intercell-interference.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-intercell-interference.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-ipv6-addr-conf.cc ns-3.43/src/lte/examples/lena-ipv6-addr-conf.cc
--- ns-3.42/src/lte/examples/lena-ipv6-addr-conf.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-ipv6-addr-conf.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Jadavpur University, India
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manoj Kumar Rana <manoj24.rana@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-ipv6-ue-rh.cc ns-3.43/src/lte/examples/lena-ipv6-ue-rh.cc
--- ns-3.42/src/lte/examples/lena-ipv6-ue-rh.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-ipv6-ue-rh.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Jadavpur University, India
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manoj Kumar Rana <manoj24.rana@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-ipv6-ue-ue.cc ns-3.43/src/lte/examples/lena-ipv6-ue-ue.cc
--- ns-3.42/src/lte/examples/lena-ipv6-ue-ue.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-ipv6-ue-ue.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Jadavpur University, India
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manoj Kumar Rana <manoj24.rana@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-pathloss-traces.cc ns-3.43/src/lte/examples/lena-pathloss-traces.cc
--- ns-3.42/src/lte/examples/lena-pathloss-traces.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-pathloss-traces.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-profiling.cc ns-3.43/src/lte/examples/lena-profiling.cc
--- ns-3.42/src/lte/examples/lena-profiling.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-profiling.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jnin@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-radio-link-failure.cc ns-3.43/src/lte/examples/lena-radio-link-failure.cc
--- ns-3.42/src/lte/examples/lena-radio-link-failure.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-radio-link-failure.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Fraunhofer ESK
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Vignesh Babu <ns3-dev@esk.fraunhofer.de>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-rem.cc ns-3.43/src/lte/examples/lena-rem.cc
--- ns-3.42/src/lte/examples/lena-rem.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-rem.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-rem-sector-antenna.cc ns-3.43/src/lte/examples/lena-rem-sector-antenna.cc
--- ns-3.42/src/lte/examples/lena-rem-sector-antenna.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-rem-sector-antenna.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jnin@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-rlc-traces.cc ns-3.43/src/lte/examples/lena-rlc-traces.cc
--- ns-3.42/src/lte/examples/lena-rlc-traces.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-rlc-traces.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-simple.cc ns-3.43/src/lte/examples/lena-simple.cc
--- ns-3.42/src/lte/examples/lena-simple.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-simple.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-simple-epc-backhaul.cc ns-3.43/src/lte/examples/lena-simple-epc-backhaul.cc
--- ns-3.42/src/lte/examples/lena-simple-epc-backhaul.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-simple-epc-backhaul.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/examples/lena-simple-epc.cc ns-3.43/src/lte/examples/lena-simple-epc.cc
--- ns-3.42/src/lte/examples/lena-simple-epc.cc	2024-05-29 15:29:47.004073400 -0700
+++ ns-3.43/src/lte/examples/lena-simple-epc.cc	2024-10-09 16:41:09.928656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *   Jaume Nin <jaume.nin@cttc.cat>
